# norootforbuild

%define _firmlib /lib/firmware

Summary:	Firmware files for Broadcom bcm43xx series based PCI/PCMCIA cards
Name:		b43-firmware
%if 0%{?suse_version} < 1130
Version:	4.150.10.5
%else
Version:	4.174.64.19
%endif
Release:	3.2
License:	Proprietary
Group:		Hardware/Wifi
URL:		http://www.linuxwireless.org/en/users/Drivers/b43#devicefirmware
%if 0%{?suse_version} < 1130
Source0:	broadcom-wl-%{version}.tar.bz2
%else
# source has been mislabeled on download site, actual version is 4.174.64.19
Source0:	broadcom-wl-4.178.10.4.tar.bz2
%endif
Source1:	%{name}.rpmlintrc
Source100:	%{name}.changes
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
BuildArch:	noarch
Requires:	b43-fwcutter
BuildRequires:	b43-fwcutter

%description
This package provides firmware files required by the b43 WiFi Linux driver

%prep
%if 0%{?suse_version} < 1130
%setup -q -n broadcom-wl-%{version}
%else
%setup -q -n broadcom-wl-4.178.10.4
%endif

%build
# nothing to do

%install
mkdir -p "${RPM_BUILD_ROOT}"%{_firmlib}/broadcom-wl-firmwares

%if 0%{?suse_version} < 1130
install -m644 driver/wl_apsta_mimo.o $RPM_BUILD_ROOT%{_firmlib}/broadcom-wl-firmwares/wl_apsta_mimo-4.150.10.5.o
%else
install -m644 linux/wl_apsta.o $RPM_BUILD_ROOT%{_firmlib}/broadcom-wl-firmwares/wl_apsta-4.174.64.19.o
%endif
%post

echo "Cutting firmware"

pushd %{_firmlib}/broadcom-wl-firmwares
%if 0%{?suse_version} < 1130
/usr/bin/b43-fwcutter  -w /lib/firmware wl_apsta_mimo-4.150.10.5.o || echo "Cutting of firmware failed"
%else
/usr/bin/b43-fwcutter  -w /lib/firmware wl_apsta-4.174.64.19.o || echo "Cutting of firmware failed"
%endif
popd

echo "Firmware installed"

test -f /.buildenv && exit 0
driver_active()
{
        for i in /sys/class/net/*/device/driver ; do
                test -e $i || continue
                DRV=$(basename `readlink $i`)
                test "$DRV" = "$1" && return 0
        done
        return 1
}
driver_loaded()
{
        lsmod | grep -q "$1"
}
if ! driver_active b43 ; then
        if driver_loaded b43; then
                echo "Reloading module b43"
                modprobe -r b43
                modprobe b43
        fi
fi
exit 0

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{_firmlib}/broadcom-wl-firmwares
%if 0%{?suse_version} < 1130
%{_firmlib}/broadcom-wl-firmwares/wl_apsta_mimo-4.150.10.5.o
%else
%{_firmlib}/broadcom-wl-firmwares/wl_apsta-4.174.64.19.o
%endif

%changelog
* Thu Aug 26 2010 packman@links2linux.de
- updated firmware to version 4.174.64.19 for openSUSE 11.3
* Sun Apr 25 2010 packman@links2linux.de
- renamed installed file from wl_apsta_mimo.o to wl_apsta_mimo-4.150.10.5.o
  (for other versions of b43-firmware packages i.e. LowPower-PHY devices this might be needed in the future)
* Sat Apr 24 2010 packman@links2linux.de
- spec rewritten so the firmware will not be distributed in its "cut"
  form but will be created on the system during package install
* Mon Jan 11 2010 AxelKoellhofer@web.de
- description updated
- added %%%%post scriptlet
- package renamed to b43-firmware
- fixed file list for build with openSUSE >= 11.1
- spec cleanup
* Sun Jun 22 2008 Andrea Florio <andrea@links2linux.de>
- First spec Making
